A newer version of this documentation is available.

View Latest

Dropping a Scope

  • reference

Couchbase Server Enterprise Edition 7.6 reaches End of Life on March 31, 2027. Please upgrade to 8.0.x by following Upgrade, or contact Couchbase Support.

Scopes can be dropped, by means of the REST API.

Description

Scopes are dropped by means of the DELETE /pools/default/buckets/<bucket_name>/scopes/<scope_name> HTTP method and URI.

HTTP Method and URI

DELETE /pools/default/buckets/<bucket_name>/scopes/<scope_name>

Syntax

The curl syntax is as follows:

curl -X DELETE -v -u [admin]:[password]
  http://<hostname-or-ip>:8091/pools/default/buckets/\
    <bucket_name>/scopes/<scope_name>

The <bucket-name> path-parameter specifies the bucket whose scope is to be dropped. The <scope-name> path-parameter specifies the scope that is to be dropped.

Responses

Success returns 200 OK. Failure to authenticate gives 401 Unauthorized. A malformed URI fails with 404 Object Not Found. If the scope-name is improperly specified, a notification such as "name":"Length must be in range from 1 to 30" or "name":"Can only contain characters A-Z, a-z, 0-9 and the following symbols _ - %" is displayed. See Scopes and Collections, for an account of naming conventions.

Example

Curl request example:

curl -X DELETE -v -u Administrator:password \
http://10.143.210.101:8091/pools/default/buckets/\
testBucket/scopes/my_scope

If successful, the call returns a UID. For example:

{"uid":20}

See Also

An overview of scopes and collections is provided in Scopes and Collections. Step-by-step procedures for management are provided in Manage Scopes and Collections. See also the CLI reference page for the collection-manage command.